> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Presets



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/connectors/presets
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/connectors/presets:
    get:
      tags:
        - connectors
      summary: List Presets
      operationId: list_presets_api_v1_connectors_presets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_ConnectorPresetResponse_'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_ConnectorPresetResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ConnectorPresetResponse'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[ConnectorPresetResponse]
    ConnectorPresetResponse:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
              description: >

                Set of 16 key-value pairs that can be attached to an object.
                This can be useful for storing additional

                information about the object in a structured format, and
                querying for objects via API or the dashboard.


                Keys are strings with a maximum length of 64 characters. Values
                are strings with a maximum length of

                512 characters.
            - type: 'null'
          title: Metadata
      type: object
      required:
        - url
        - metadata
      title: ConnectorPresetResponse
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````